/*
	
	GRIM DAWN
	scripts/quests/_MPQuestControl.lua
	
	For more information, visit us at http://www.grimdawn.com
	
*/

gd.MPQuestControl = {}

--
-- MP Control for bestowing quests to all players.
-- Triggered by Conversations
--


-- Kill Boss Quest
--questId 0x6D4A4400
--taskId1 0xA497F000 kill
--taskId2 0x3F73DEC0 turn-in
local killBossQuest = false
local killBossReturnQuest = false

function gd.MPQuestControl.bestowKillBossQuestGlobalMP()

	if not killBossQuest then
		killBossQuest = true
		local player = Game.GetLocalPlayer()
		
		local questId = 0x6D4A4400
		local taskId = 0x3F73DEC0
		
		local questTaskState = player:GetQuestTaskState(questId, taskId)
		
		-- Begins first task of Kill Boss, checks if player is not already on the quest as it can be done in reverse.
		if (questTaskState != QuestState.InProgress && questTaskState != QuestState.Complete) then
			player:GrantQuest(0x6D4A4400, 0xA497F000)

		end

	end

end

function gd.MPQuestControl.bestowKillBossReturnQuestGlobalMP()

	if not killBossReturnQuest then
		killBossReturnQuest = true
		local player = Game.GetLocalPlayer()
		
		local questId = 0x6D4A4400
		local taskId = 0xA497F000

		local questTaskState = player:GetQuestTaskState(questId, taskId)

		
		-- Begins second task of Kill Boss, checks if player has the token and is not already on the quest
		if (player:HasToken("TESTBOSS_KILLED") && questTaskState != QuestState.InProgress && questTaskState != QuestState.Complete) then
			player:GrantQuest(0x6D4A4400, 0x3F73DEC0)

		end

	end

end


-- Open Door Quest
--questId 0x32E3A480
--taskId1 0x315577C0 open the door
local openDoorQuest = false

function gd.MPQuestControl.bestowOpenDoorQuestGlobalMP()

	if not openDoorQuest then
		openDoorQuest = true
		local player = Game.GetLocalPlayer()
		
		local questId = 0x6D4A4400
		local taskId = 0x3F73DEC0
		
		local questTaskState = player:GetQuestTaskState(questId, taskId)
		
		-- Begins first task of Open the Door, checks if the player has completed Kill the Boss
		if (questTaskState == QuestState.Complete) then
			player:GrantQuest(0x32E3A480, 0x315577C0)

		end

	end

end

